Bug 683518 - [RFE] Tracking support for additional RFC2307bis services
[RFE] Tracking support for additional RFC2307bis services
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.0
All Linux
medium Severity medium
: pre-dev-freeze
: ---
Assigned To: SSSD Maintainers
Ben Levenson
: FutureFeature, Triaged
Depends On: 735422 761570 813327 816686
Blocks: 607248 1113520 1133060 1205796 753876 756082
  Show dependency treegraph
 
Reported: 2011-03-09 11:07 EST by J.H.M. Dassen (Ray)
Modified: 2015-04-07 12:00 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 753876 766145 (view as bug list)
Environment:
Last Closed: 2015-04-07 12:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J.H.M. Dassen (Ray) 2011-03-09 11:07:49 EST
2. What is the nature and description of the request?
Customer would like SSSD to support additional RFC2307bis services. In particular:
1. services
2. hosts
3. automount
4. printers
5. networks/netmasks
6. RPC/protocols
7. aliases


   3. Why does the customer need this? (List the business requirements here)
Customer currently stores significant data in LDAP following the RFC2307
standards which are supported by nss_ldap. SSSD does not support all of the
RFC2307 standard.

   4. How would the customer like to achieve this? (List the functional requirements here)
Via an update to SSSD to support these additional LDAP entries.

   5. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
Using sss as the only database in nsswitch.conf, a 'entry' lookup should return
the data in LDAP.

   6. Is there already an existing RFE upstream or in Red Hat bugzilla?
no

   7. How quickly does this need resolved? (desired target release)
Minor

   8. Does this request meet the RHEL Inclusion criteria (please review)
Yes

   9. List the affected packages
sssd

  10. Would the customer be able to assist in testing this functionality if implemented?
Yes
Comment 2 Stephen Gallagher 2011-03-09 11:26:10 EST
Plans are in place to eventually support the hosts map: https://fedorahosted.org/sssd/ticket/359

SSSD cannot support automap, as this is not handled through the glibc NSS interfaces (and consequently is not handled by nss_ldap either)

The other maps are open for discussion, but their use in customer environments is rare (and for good reason). I recommend that this BZ be split into separate ones for each map, as it is unlikely that we will be able to add support for all of them at the same time.
Comment 4 Guil Barros 2011-03-09 12:10:01 EST
(In reply to comment #2)
> SSSD cannot support automap, as this is not handled through the glibc NSS
> interfaces (and consequently is not handled by nss_ldap either)

There is a separate RFE for autofs to use the glibc NSS interfaces for its lookups:
https://bugzilla.redhat.com/show_bug.cgi?id=683523
Comment 13 Stephen Gallagher 2011-11-04 07:49:06 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/929
Comment 14 Stephen Gallagher 2011-11-04 07:49:22 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/901
Comment 28 Martin Kosek 2015-04-07 12:00:49 EDT
Thank you taking your time and submitting this request for Red Hat Enterprise Linux. Unfortunately, this bug was not given a priority and was deferred both in the upstream project and in Red Hat Enterprise Linux.

Given that we are unable to fulfill this request in following Red Hat Enterprise Linux releases, I am closing the Bugzilla as DEFERRED. To request that Red Hat re-considers the decision, please re-open the Bugzilla via appropriate support channels and provide additional business and/or technical details about its importance to you.

Note that you can still track this request or even contribute patches in the referred upstream Trac ticket.

Note You need to log in before you can comment on or make changes to this bug.